Sonntag, Dezember 8, 2019

Paket ‚tidyverse“ ist nicht verfügbar

Ich versuche zu installieren „tidyverse“ und ich bekomme die folgende Fehlermeldung.

install.packages("tidyverse")

package ‘tidyverse’ is available as a source package but not as a binary

Warning in install.packages :
  package ‘tidyverse’ is not available (as a binary package for R version 3.1.3)

Den unten details über meine Session.

sessionInfo()
R version 3.1.3 (2015-03-09)
Platform: x86_64-apple-darwin13.4.0 (64-bit)
Running under: OS X 10.12.1 (unknown)

locale:
[1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods  
[7] base     

loaded via a namespace (and not attached):
[1] tools_3.1.3

Würde jemand eine Idee, was fehlt hier?

Dank.

InformationsquelleAutor poppy202 | 2017-03-13

2 Kommentare

  1. 12

    Haben Sie versucht:

    install.packages('tidyverse', dependencies=TRUE, type="source")

    Können Sie auch wollen, um zu versuchen, um die Aktualisierung der version von R, die Sie verwenden.

    • Definitiv update-R, wenn Sie können. tidyverse nur für ein paar Monate, R-version 3.1.3 ist 2 Jahre alt.
    • Wenn ich auf den „check updates“ unter helfen, es sagen die „Sie verwenden die neueste version von Rstdio“
    • Die neueste R-version ist 3.3.3, möchten Sie vielleicht zu aktualisieren.
    • wenn ich installieren tidyverse mit dem Befehl – > installieren.Pakete(„tidyverse“, dependencies=TRUE, type=“Quelle“), ich erhalte die folgende Fehlermeldung – Installation-Paket in ‚/home/nbcommon/R‘ (da ‚lib‘ nicht spezifiziert) Warnung Meldung: „das Paket ‚tidyverse‘ ist nicht verfügbar (für R-version 3.3.0)“[Anmerkung: ich bin mit Microsoft azure jupyter notebook] Bitte beraten. Danke!!!
    • Ich bin mir nicht ganz sicher, was Los ist, aber Sie könnten versuchen install.packages('tidyverse', dependencies=TRUE, type="source", repos="https://cloud.r-project.org") .
  2. 1

    wenn Sie ubuntu ausprobieren und installieren Sie dann tidyverse wieder

    Für viele Pakete

    sudo apt-get install -y libxml2-dev libcurl4-openssl-dev libssl-dev

Kostenlose Online-Tests

Letzte Fragen

Tun ItemView löst Blase?

Ich habe eine CompositeView für eine Tabelle. Ich habe Trigger-set in der Kind-ItemView für jede Zeile... var TableRow = Marionette.ItemView.extend({ tagName:...

Wie kann ich untersuchen, WCF was 400 bad request über GET?

Die folgenden WCF-endpoint funktioniert gut mit dem WCF test client: AssetList ListFlaggedAssets(short processCode, string platform, string endpoint = "null", string portalId = "null", int...

Bei der Verwendung von UUIDs, sollte ich auch mit AUTO_INCREMENT?

Wir bauen eine neue web-app, die eine offline-iPad - /Android-app-version auf einer Reihe von lokalen Geräten, die Einsätze mit neuen Daten. Als solche benötigen...

Actionscript-Objekt, das verschiedene Eigenschaften

Wie kann ich die Anzahl der Eigenschaften in einer generischen Actionscript-Objekt? (Wie die Array-Länge) InformationsquelleAutor Fragsworth | 2011-01-15

Wie plot mehrere Graphen und nutzen Sie die Navigations-Taste im [matplotlib]

Die neueste version von matplotlib erstellt automatisch Navigations-buttons unter den graph. Aber die Beispiele, die ich finden alles im Internet zeigen, wie erstellen Sie...